<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<!--
@author javier.aponte
@version 1.0
@description  página para generar los reportes estadísticos del sistema

-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                template="/templates/generalCU.xhtml">


    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Generar Reportes Estadísticos::.
    </ui:define>

    <ui:define name="content">

        <p:messages id="msgsRE" globalOnly="true" />

        <p:fieldset toggleable="true" toggleSpeed="500">

            <legend> 
                <h:outputLabel value="Generar reportes estadísticos" styleClass="legendTitle" /> 
            </legend>

            <p:spacer height="20" width="0" />

            <h:form id="reportesEstadisticosForm">
                <h:panelGrid columns="2">


                    <h:outputText value="Tipo de reporte" styleClass="outputLabelStyle"/>

                    <h:selectOneMenu id="tipoReporte"
                                     value="#{generaReportesEstadisticos.reporteSeleccionado}">
                        <f:selectItem itemLabel="Seleccione el tipo de reporte" />
                        <f:selectItems value="#{general.reportesEstadisticos}" />
                    </h:selectOneMenu>

                </h:panelGrid>

                <h:panelGrid columns="1" width="100%">
                    <misc:seleccionDepartamentoYMunicipioCC valuesAreRequired="true"
                                                            vertical="false"/>
                </h:panelGrid>

                <p:commandButton value="Realizar Consulta" process="@this, tipoReporte"
                                 action="#{generaReportesEstadisticos.realizarConsultaReporte}"
                                 icon="ui-icon-search"
                                 onstart="statusDialog2.show()" 
                                 update=":viewReporte:vistaMemoForm, :msgsRE"
                                 oncomplete="handleCompleteSIC(xhr, status,args, visorReporteWV, true);
                                 statusDialog2.hide()"/>


                <p:separator style="width:1015px;height:3px" />

                <p:spacer height="7" width="0" />

                <p:outputPanel layout="block" style="text-align:right">
                    <p:commandButton value="Cerrar" update="msgInfoFis"
                                     icon="ui-icon-circle-close" immediate="true"
                                     action="#{consultaReportesInconsistencias.cerrar}" ajax="false"
                                     onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
                    <p:spacer height="0" width="30" />
                </p:outputPanel>

            </h:form>

        </p:fieldset>

        <misc:visualizadorMemorandosCC
            id="viewReporte"
            thisWVName="visorReporteWV"
            nombreDialogo="Reporte Estadísticos"
            urlDocumento="#{generaReportesEstadisticos.reporteEstadisticoDTO.urlWebReporte}"
            fileContent="#{generaReportesEstadisticos.reporteEstadisticoDTO.streamedContentReporte}"
            documentoGenerado="#{generaReportesEstadisticos.reporteEstadisticoDTO ne null}"
            radicarButtonVisible="false"
            cancelButtonVisible="false"/>

    </ui:define>
</ui:composition>